latest daily build

Tomaz Canabrava tcanabrava at kde.org
Fri Apr 7 02:55:10 PDT 2017


Willem,



On Fri, Apr 7, 2017 at 11:29 AM, Tomaz Canabrava <tcanabrava at kde.org> wrote:

>
>
> On Fri, Apr 7, 2017 at 8:03 AM, Willem Ferguson <
> willemferguson at zoology.up.ac.za> wrote:
>
>> On 07/04/2017 03:45, Dirk Hohndel wrote:
>>
>>> Just a quick heads-up, I just triggered new daily builds of the desktop
>>> version... this includes Tomaz' rewrite of some of the code implementing
>>> the maintab (it moves Info, Extra Info, Statistics, and Photos into
>>> separate files.
>>>
>>> I reviewed the code and did quite a bit of testing. I haven't been able
>>> to
>>> spot anything that got broken. But I'd appreciate if people could take a
>>> close look and make sure I didn't miss anything there...
>>>
>>> Thanks
>>>
>>> /D
>>> /home/willem/src/subsurface/desktop-widgets/tab-widgets/TabDiveInformation.cpp:
>>> In member function ‘virtual void TabDiveInformation::updateData()’:
>>>
>>
>>
>> When building, I get:
>>
>> /home/willem/src/subsurface/desktop-widgets/tab-widgets/TabDiveInformation.cpp:69:15:
>> warning: conversion to ‘int’ from ‘double’ may alter its value
>> [-Wfloat-conversion]
>>     sac.mliter = gases[i].mliter / (depth_to_atm(mean[i],
>> &displayed_dive) * duration[i] / 60);
>>                ^
>> /home/willem/src/subsurface/desktop-widgets/tab-widgets/TabDivePhotos.cpp:
>> In member function ‘virtual void TabDivePhotos::contextMenuEven
>> t(QContextMenuEvent*)’:
>> /home/willem/src/subsurface/desktop-widgets/tab-widgets/TabDivePhotos.cpp:45:91:
>> error: no matching function for call to ‘QMenu::addAction(QString,
>> TabDivePhotos*, void (TabDivePhotos::*)())’
>>   popup.addAction(tr("Load image(s) from file(s)"), this,
>> &TabDivePhotos::addPhotosFromFile);
>> ^
>> In file included from /usr/include/x86_64-linux-gnu/
>> qt5/QtWidgets/QMenu:1:0,
>>                  from /home/willem/src/subsurface/de
>> sktop-widgets/tab-widgets/TabDivePhotos.cpp:8:
>> /usr/include/x86_64-linux-gnu/qt5/QtWidgets/qmenu.h:76:14: note:
>> candidate: QAction* QMenu::addAction(const QString&)
>>      QAction *addAction(const QString &text);
>>               ^
>> /usr/include/x86_64-linux-gnu/qt5/QtWidgets/qmenu.h:76:14: note:
>>  candidate expects 1 argument, 3 provided
>>
>> Clearly there is a Qt problem. Although I have installed Qt 5.7 I get:
>>
>> $ qmake --version
>>
>> QMake version 3.0
>> Using Qt version 5.5.1 in /usr/lib/x86_64-linux-gnu
>>
>> Do I need to re-install Qt ??
>>
>
One of the things I want to add for subsurface depends on Qt Charts, that
was released for Qt 5.7
Dirk, This is okay?

Tomaz


>
> No, I'll provide a patch to fix this, sorry for the noise.
>
>
>>
>> Kind regards,
>>
>> willem
>>
>>
>>
>> _______________________________________________
>> subsurface mailing list
>> subsurface at subsurface-divelog.org
>> http://lists.subsurface-divelog.org/cgi-bin/mailman/listinfo/subsurface
>>
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.subsurface-divelog.org/pipermail/subsurface/attachments/20170407/2aec3cce/attachment-0001.html>


More information about the subsurface mailing list